Subject: muttprint does neither print to file nor to STDOUT

From: Johann Hartwig Hauschild <[email-masked]>
Date: Mon, 09 Aug 2010 11:41:40 +0200

Package: muttprint
Version: 0.73-2
Severity: important

'echo "asdf" | muttprint -f - -p - > asdf.ps' 
and
'echo "asdf" | muttprint -f - -p TO_FILE:./asdf.ps'
both return "LPR: Error - no default destination available" despite both
being supposed to print to file.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages muttprint depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  libtext-iconv-perl            1.7-2      converts between character sets in
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 
ii  texlive-fonts-recommended     2009-10    TeX Live: Recommended fonts
ii  texlive-latex-extra           2009-9     TeX Live: LaTeX supplementary pack
ii  texlive-latex-recommended     2009-10    TeX Live: LaTeX recommended packag

Versions of packages muttprint recommends:
ii  bsd-mailx [mail-re 8.1.2-0.20100314cvs-1 simple mail user agent
ii  evolution [mail-re 2.30.2-1              groupware suite with mail client a
ii  icedove [mail-read 3.0.6-1               mail/news client with RSS and inte
ii  kmail [mail-reader 4:4.4.5-1             full featured graphical email clie
ii  libtimedate-perl   1.2000-1              collection of modules to manipulat
ii  mutt [mail-reader] 1.5.20-9              text-based mailreader supporting M

Versions of packages muttprint suggests:
pn  compface                <none>           (no description available)
ii  dialog                  1.1-20100428-1   Displays user-friendly dialog boxe
ii  imagemagick             8:6.6.0.4-2.1+b1 image manipulation programs
pn  muttprint-manual        <none>           (no description available)
pn  ospics                  <none>           (no description available)
ii  psutils                 1.17-27          A collection of PostScript documen
pn  slrn | news-reader      <none>           (no description available)

-- debconf information excluded